<div class="row" id="product-page">
  <div class="col-12">

    <!-- Nombre del Producto -->
    <div class="row" *ngIf="productOne$ | async as productOne">
      <div class="col-12 product">
        <img [src]="productOne.img_product" alt="" class="img-large">
        <span class="d-block">{{productOne.name_product}}</span>
      </div>
    </div>
    <hr>

    <!-- Extras del producto  -->
    <div class="row">
      <div class="col-12 text-center">
        <!-- extras -->
        <ng-container *ngIf="extras">
          <div class="row no-gutters">
            <div class="col-12">
              <h2>{{productExtra[0].name_extra}}</h2>
            </div>
          

          <!-- <ng-container> -->
            <div class="row no-gutters">
              <div class="col-4 extra border">
                <img [src]="productExtra[0].img_extra" alt="" class="img-small">
                <span class="d-block">{{productExtra[0].state_extra ? '$' + productExtra[0].price_extra : '$0'}}</span>
                <mat-checkbox [(ngModel)]="productExtra[0].state_extra"></mat-checkbox>
              </div>
            </div>
          <!-- </ng-container> -->
        </div>
        </ng-container>

        <!-- extras no-->
        <ng-container *ngIf="option">

          <h1>{{productExtra[0].name_extra}}</h1>

        </ng-container>

        <!-- opcion multiple -->
        <ng-container class="col-12" *ngIf="ingPrincipal">
          <div class="col-6 extra border" *ngFor="let ingredientes of ingredientPrincipal">
            <img [src]="ingredientes.img_ingredient" alt="" class="img-small">
            <span class="d-block">{{ingredientes.name_ingredient}}</span>


            <mat-radio-button class="col-md-4 col-sm-12">

            </mat-radio-button>
          </div>
        </ng-container>





        
        <div class="row" >
          <button class="btn btn-block btn-primary mt-0 col-6" *ngIf="!hasPrevious()" (click)="hasPrevious()"
            (click)="prueba()">Atrás</button>
          <button class="btn btn-block btn-primary mt-0 col-6" *ngIf="!hasPrevious()"
            (click)="hasNext()">Siguiente</button>
        </div>
        <div>
          <button class="btn btn-block btn-primary mt-0 col-6" *ngIf="hasPrevious()">Agregar Producto</button>
        </div>

        <div class="row mt-4 mb-4">
          <div class="col-12">
            <div class="d-grid gap-2">
              <button class="btn btn-block btn-primary rounded-0 mt-0"
                [routerLink]="['/list-categories']">Volver</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>